@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    height:100%;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

/*.large-font {
    font-size: 1.5em !important;
}*/

.custom-button {
    background-color: #007bff; /* Blue background */
    color: white; /* White text */
    border: none; /* Remove default border */
    padding: 10px 20px; /* Padding for the button */
    font-size: 16px; /* Font size */
    border-radius: 5px; /* Rounded corners */
    cursor: pointer; /* Pointer cursor on hover */
    transition: background-color 0.3s ease; /* Smooth transition for background color */
}

    .custom-button:hover {
        background-color: #0056b3; /* Darker blue on hover */
    }

    .custom-button:active {
        background-color: #004085; /* Even darker blue on click */
    }
    
/* Accordion Header */
.accordion-button {
    background-color: #f8f9fa; /* Light gray background */
    color: #333; /* Dark text color */
    font-weight: bold; /* Bold text */
    border: 1px solid #ddd; /* Light border */
    border-radius: 5px; /* Rounded corners */
    padding: 10px; /* Padding */
    margin-bottom: 5px; /* Space between headers */
    transition: background-color 0.3s ease; /* Smooth background color transition */
}

    .accordion-button:hover {
        background-color: #e2e6ea; /* Slightly darker background on hover */
    }

    .accordion-button:focus {
        box-shadow: none; /* Remove default focus shadow */
    }

/* Accordion Body */
.accordion-body {
    background-color: #fff; /* White background */
    border: 1px solid #ddd; /* Light border */
    border-radius: 5px; /* Rounded corners */
    padding: 15px; /* Padding */
    margin-top: -1px; /* Remove gap between header and body */
}

/* Accordion Item */
.accordion-item {
    border: none; /* Remove default border */
}

.map-button {
    background-color: #007bff; /* Bootstrap primary color */
    color: #fff; /* White text */
    padding: 5px 10px; /* Padding */
    border-radius: 5px; /* Rounded corners */
    text-decoration: none; /* Remove underline */
    transition: background-color 0.3s ease; /* Smooth background color transition */
}

    .map-button:hover {
        background-color: #0056b3; /* Darker primary color on hover */
    }

.k-button-text {
    color: blue;
}

/* Spinner class for rotation */
.spinner img {
    animation: spin-pause 4s ease-in-out infinite; /* 4s total cycle duration: 1s spin + 3s pause */
}

/* Keyframes for spinning and pausing */
@keyframes spin-pause {
    0% {
        transform: rotate(0deg); /* Initial position */
    }

    25% {
        transform: rotate(180deg); /* 180 degrees spin */
    }

    100% {
        transform: rotate(180deg); /* Stop after 180 degrees */
    }
}

.text-tittle {
    color: rgba(var(--bs-primary-rgb),var(--bs-text-opacity)) !important;
    font-size: 1.8rem;
    font-family: 'Segoe UI';
    font-weight: bold;
    text-align: center;
    padding-bottom: 2px;
}

/* Global styles for the overlay text */
.picture {
    position: relative;
    border: 1px solid #000;
    width: 100%;
    height: 42vh;
    display: flex;
    flex-direction:column;
    align-items: center;
    justify-content: center;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    overflow: hidden;
    margin-top: 5px;
    max-width: 100%;
}

.picture-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.overlay-container {
    display: flex;
    flex-direction: column; /* Allow vertical stacking */
    justify-content: flex-end; /* Align the content at the bottom */
    height: 100%; /* Ensure the parent takes full height */
}

.overlay-text {
    color: #115ba4;
    font-size: 2rem;
    font-family: 'Segoe UI', serif;
    font-weight: bold;
    text-align: left;
    padding-bottom: 2px;
}

/* Media queries for responsiveness */
@media(max-width: 768px) {
    .picture {
        flex-direction: column; /* Keep image and text in column layout */
    }

    .overlay-text {
        font-size: 1.2rem; /* Slightly smaller font size for mobile */
    }
}

@media(max-width: 480px) {
    .overlay-text {
        font-size: 1rem; /* Slightly smaller font size for mobile */
    }
}

/* Modal background */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgba(0, 0, 0, 0.4); /* Black with opacity */
}

/* Modal content */
.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 50%;
}

/* Close button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

    .close:hover,
    .close:focus {
        color: black;
        text-decoration: none;
        cursor: pointer;
    }


.k-grid .k-selected .k-table-td {
    background-color: #d3e5f8 !important;
}

.k-grid th.center-me {
    text-align: center;
}

.k-grid th.center-wrap {
    justify-content: center;
    text-align: center;
    white-space: normal;
    vertical-align: middle;
}

.k-grid-header .k-cell-inner {
    border-color: white !important;
}

.k-grid th.center-wrap .k-column-title {
    white-space: normal;
}

.k-button-flat-primary {
    color: #1f70c7;
}

/* sortable headers */
th.center-me .k-cell-inner > .k-link {
    justify-content: center;
}

.selected-row {
    background-color: #d1e7dd; /* Light green background for selected row */
    color: #0f5132; /* Dark green text for selected row */
}

.centered-validation {
    display: flex;
    justify-content: center; /* Center the validation box */
    margin-top: 20px;
}

    .centered-validation .validation-summary-errors {
        text-align: left; /* Align the text inside to the left */
        width: 100%; /* Ensure the text takes up full width of the box */
        max-width: 600px; /* Optionally limit the width of the summary box */
    }

label {
    font-weight: bold;
}

.k-sorted {
    color: #003467;
}

.k-picker-solid {
    background-color: transparent;
}

.k-column-title {
    font-size: 14px;
}

.k-table-td {
    font-size: 14px;
}

.k-input-inner[readonly] {
    background-color: #e9ecef; /* Light gray background for readonly */
    color: #212529; /* Lighter text color for readonly */
    border-color: #dcdcdc; /* Change border color for readonly */
    cursor: not-allowed; /* Change cursor to 'not-allowed' */
}

.k-numerictextbox[readonly] {
    opacity: 1; /* Reduce opacity for the entire container when readonly */
}

.no-select .k-checkbox {
    pointer-events: none;
    opacity: 0.5;
}

.hide-checkbox td.k-selection-checkbox {
    display: none !important;
}

.readonly-gray {
    background-color: #e9ecef; /* Bootstrap’s disabled background */
    color: #6c757d; /* Gray text */
    cursor: not-allowed; /* Shows disabled cursor */
}
